package com.ibtp.kontor.tradingcards.dal;

import com.ibtp.kontor.tradingcards.entity.BaseSetEntity;

import java.util.Collection;
import java.util.List;

/**
 * Created by TPEETZ on 27.01.2015.
 */
interface BaseSetDao {

    public BaseSetEntity getById(Long id);

    public Collection<BaseSetEntity> findByIds(List<Long> ids);

    public Collection<BaseSetEntity> findByName(String name);

    public BaseSetEntity store(BaseSetEntity entity);

    public void delete(BaseSetEntity entity);
}
